#include<iostream>
#include <string>
using namespace std;


class Artikel
{
private:
	string Bezeichnung; 
	float Preis;

public:
	
	//getter
	string get_Bezeichnung()
	{
		return Bezeichnung;
	}
	
	float get_Preis()
	{
		return Preis;
	}
	
	//setter
	void set_Bezeichnung()
	{
		cout << "Geben Sie die Artikelbezeichnung ein: ";
		cin >> Bezeichnung;
	}
	
	void set_Preis()
	{
		cout << "Geben Sie den Artikelpreis ein: ";
		cin >> Preis;	
	}
	
	//Methoden
	void Daten_ausgeben() //Deklaration und Definition der Methode Daten_ausgeben
	{
		cout << "Der Artikel " << get_Bezeichnung() << " kostet " << get_Preis() << " Euro." << endl;
	}
	
	void Daten_erfassen() //Deklaration und Definition der Methode Daten_erfassen
	{
		set_Bezeichnung();
		set_Preis();
	}
	
	void Gesamtpreis_berechnen(int az)//Deklaration und Definition der Methode Gesamtpreis_berechnen
	{
		cout << "Gesamtpreis: " << az*get_Preis() << endl;
	}

};

int main()
{
	Artikel art;
	int anzahl;
	
	art.Daten_erfassen();
	
	art.Daten_ausgeben();
	
	cout << "Geben Sie die Stueckzahl ein: ";
	cin >> anzahl;
	
	art.Gesamtpreis_berechnen(anzahl);
	
	cout << endl << endl;
	
	system("PAUSE");
	return 0;
}

